//---------------------------------------------------------------------------

#ifndef RegisterFormUnitH
#define RegisterFormUnitH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include "GeneralDialogPanel.h"
#include "LineEdit.h"
#include "TextButton.h"
#include "CKBox.h"
//---------------------------------------------------------------------------
class TRegisterForm : public TForm
{
__published:	// IDE-managed Components
	TGeneralDialogPanel *m_DialogPanel;
	TLineEdit *m_UserEdit;
	TLineEdit *m_PasswordEdit;
	TLineEdit *m_ConfirmEdit;
	TLineEdit *m_VerifyEdit;
	TLabel *m_ReturnLabel;
	TLabel *m_UserNameLabel;
	TLabel *m_PasswordLabel;
	TLabel *m_ConfirmLabel;
	TLabel *m_VerifyLabel;
	TLabel *m_lblAgreement;
	TCKBox *m_ckAgree;
	TTextButton *m_OkButton;
	TTextButton *m_SendButton;
	void __fastcall DoReturnLableClick(TObject *Sender);
	void __fastcall DoCommitInfo(TObject *Sender);
	void __fastcall DoAutoCheck(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall AgreementMouseEnter(TObject *Sender);
	void __fastcall AgreementMouseLeave(TObject *Sender);
	void __fastcall AgreementClick(TObject *Sender);
	void __fastcall ReturnLabelMouseEnter(TObject *Sender);
	void __fastcall ReturnLabelMouseLeave(TObject *Sender);
	void __fastcall AgreeChange(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);

private:	// User declarations
	String FUserName,
           FPassword,
		   FConfirm,
		   FVerify;

	bool __fastcall CheckInput(const char * pText, int type);

	void __fastcall Layout();
	void __fastcall SetUserName(String Value);
	void __fastcall SetPassWord(String Value);
	void __fastcall SetConfirm(String Value);
	void __fastcall SetVerify(String Value);

public:		// User declarations
	__fastcall TRegisterForm(TComponent* Owner);

__published:
	__property String UserName = {read = FUserName, write = SetUserName};
    __property String PassWord = {read = FPassword, write = SetPassWord};
	__property String Confirm = {read = FConfirm, write = SetConfirm};
	__property String Verify = {read = FVerify, write = SetVerify};
};
//---------------------------------------------------------------------------
extern PACKAGE TRegisterForm *RegisterForm;
//---------------------------------------------------------------------------
#endif
